### org.jfree.layouting.layouter.content.computed

# Class PendingToken

- `java.lang.Object`
- - `org.jfree.layouting.layouter.content.computed.ComputedToken`
  - - `org.jfree.layouting.layouter.content.computed.PendingToken`

Implemented Interfaces:
  ContentToken

`public class PendingToken`
`extends ComputedToken`

The pending function. This is a lookup to the current pending context. If the pending context is empty, the element is not displayed (as if it had been declared 'display: none'. The elements get removed from the normal flow and get added to the pending flow. Due to the highly volatile nature of that step, no - I repeat - no validation is done to normalize inline and block elements.

Author:
  Thomas Morgner

  ## Constructor Summary

  `PendingToken(String key)`

  ## Method Summary

  `String`

  `getKey()`

## Constructor Details

### PendingToken

    public PendingToken(String key)

## Method Details

### getKey

    public String getKey()